Package: groovy.util

## [Java] Class GroovyTestSuite

- groovy.util.GroovyTestSuite

- A TestSuite which will run a Groovy unit test case inside any Java IDE either as a unit test case or as an application.

  You can specify the GroovyUnitTest to run by running this class as an application and specifying the script to run on the command line. `java groovy.util.GroovyTestSuite src/test/Foo.groovy` Or to run the test suite as a unit test suite in an IDE you can use the 'test' system property to define the test script to run. e.g. pass this into the JVM when the unit test plugin runs... `-Dtest=src/test/Foo.groovy`

  Authors:
    James Strachan

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static String` | `file` |
    `protected GroovyClassLoader` | `loader` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Class` | `compile(String fileName)`
    `` | `void` | `loadTestSuite()`
    `` | `static void` | `main(String[] args)`
    `` | `static Test` | `suite()`

- - ### Field Detail

    - #### protected static String file

    - #### protected final GroovyClassLoader loader

  - ### Method Detail

    - #### public Class compile(String fileName)

    - #### public void loadTestSuite()

    - #### public static void main(String[] args)

    - #### public static Test suite()